import styled from 'styled-components'
import { Button } from '../Button'
import Icon from '@ant-design/icons'
import { NavLink } from 'react-router-dom'

export const StyledExtraContent = styled.div`
  text-align: center;

`
export const StyledBackground = styled.div`
  background: rgba(0, 0, 34, 0.5);
  position: fixed;
  top: 66px;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 9999;
  pointer-events: none;
`
export const StyledMenuContainer = styled.aside`
  background: #FDFDFD;
  border: 2px solid #000022;
  box-shadow: 3px 6px 1px #000022;
  padding: 60px 20px 20px;
  width: 316px;
  box-sizing: border-box;
  position: absolute;
  pointer-events: auto;
  top: 0;
  left: 0;
  bottom: 0;

  ${StyledExtraContent} {
	position: absolute;
	padding: 20px;
	left: 0;
	bottom: 0;
	right: 0;
  }
`


export const StyledActivateButton = styled(Button)`
  border-radius: 8px;
  margin-bottom: 11px;
`
export const StyledMenuItem = styled(NavLink)`
  height: 64px;
  line-height: 64px;
  text-align: center;
  border-bottom: 1px solid #000022;
  font-weight: 500;
  font-size: 16px;
  letter-spacing: 0.02em;
  color: #000022;
  text-decoration: none;
  display: block;
`
export const StyledIcon = styled(Icon)`
  margin-right: 6px;
`

export const StyledCloseIcon = styled(Icon)`
  position: absolute;
  top: 23px;
  right: 23px;
`
export const StyledCopyright = styled.div`
  color: #1E1D1F;
  font-weight: 400;
  line-height: 14px;
  font-size: 12px;
  margin-bottom: 15px;
`
export const StyledPlainMenuContainer = styled.aside`
  width: 268px;
  box-sizing: border-box;
  background: #F3F3F3;
  padding-top: 5px;
  flex: 0 0 auto;

  ${StyledExtraContent} {
    padding: 37px 7px;

    ${StyledCopyright} {
      margin-bottom: 19px;
    }
  }
`

export const StyledPlainMenuItem = styled(NavLink)`
  height: 64px;
  line-height: 64px;
  padding: 0 20px;
  color: #000022;
  font-weight: 500;
  font-size: 16px;
  display: block;
  letter-spacing: 0.02em;
  position: relative;
  border-bottom: 2px solid #FDFDFD;
  text-decoration: none;

  &:focus, &:active, &.active {
    color: ${props => props.theme.brandPrimary};
  }
`

export const StyledNextIcon = styled(Icon)`
  width: 9px;
  height: 14px;
  position: absolute;
  right: 24px;
  top: 50%;
  transform: translate3d(0, -50%, 0);
`
